replicaCount: 1 # $NGINX_REPLICATION_COUNT
image:
  repository: registry.gitlab.com/$FLINKWERK_OWNER_SLUG-inc/lab/$FLINKWERK_PROJECT_SLUG/$FLINKWERK_COMMIT_SLUG
  tag: $FLINKWERK_COMMIT_SHA
  secrets:
    - name: $FLINKWERK_REGISTRY_SECRET_NAME
nginxService:
  type: ClusterIP
phpfpmService:
  type: ClusterIP
ingress:
  enabled: true
  # Used to create Ingress record (should used with service.type: ClusterIP).
  hosts:
    - $FLINKWERK_DOMAIN
  annotations:
    # kubernetes.io/ingress.class: nginx
    kubernetes.io/tls-acme: "true"
  tls:
    # Secrets must be manually created in the namespace.
    - secretName: $FLINKWERK_ENV_SECRET_NAME
      hosts:
      - $FLINKWERK_DOMAIN
